Menu

## ActionGroup
in package
implements Countable, Serializable

ActionGroup.php : 11

A grouping of navigation actions, like a submenu.

### Interfaces, Classes and Traits

Countable
Serializable

### Table of Contents

DefaultGroup = 'lotgd/core/default'
HiddenGroup = 'lotgd/core/hidden'
$actions : array<string|int, mixed>
$id : string
$sortKey : int
$title : string
$viewpoint : Viewpoint|null
__construct() : mixed
  Create a new ActionGroup, starting with an empty set of actions.
addAction() : mixed
  Adds a single action to the list of actions.
count() : int
  Returns the number of registered Actions for this group.
getActions() : array<string|int, Action>
  Returns the ordered array of actions.
getId() : string
  Returns the unique identifier for this group, in the vendor/module/group format.
getRenderedTitle() : string
  Returns the rendered title for this group.
getSortKey() : int
  Returns the sort key for this group. The ordering of the groups in the final menu displayed to users will be sorted by this key. The default menu's sort key is '0'.
getTitle() : string
  Returns the title for this group.
getViewpoint() : Viewpoint|null
serialize() : mixed
setActions() : mixed
  Sets the ordered array of actions.
setViewpoint() : mixed
unserialize() : mixed

### Constants

#### DefaultGroup

ActionGroup.php : 13
`public mixed DefaultGroup = 'lotgd/core/default'`

#### HiddenGroup

ActionGroup.php : 14
`public mixed HiddenGroup = 'lotgd/core/hidden'`

### Properties

#### $actions

ActionGroup.php : 19
`private array<string|int, mixed> $actions`

#### $id

ActionGroup.php : 29
`private string $id`

#### $sortKey

ActionGroup.php : 31
`private int $sortKey`

#### $title

ActionGroup.php : 30
`private string $title`

#### $viewpoint

ActionGroup.php : 20
`private Viewpoint|null $viewpoint = null`

### Methods

#### __construct()

ActionGroup.php : 28

Create a new ActionGroup, starting with an empty set of actions.

`public __construct(string $id, string $title, int $sortKey) : mixed`

##### Parameters

$id : string

  Unique identifier for this group, in the vendor/module/group format.

$title : string

  Title to display to the end user. Empty string means no title.

$sortKey : int

  Navigation menus are displayed in the order sorted by this integer.

##### Return values

mixed —

#### addAction()

ActionGroup.php : 156

Adds a single action to the list of actions.

`public addAction(Action $action) : mixed`

##### Parameters

$action : Action

##### Return values

mixed —

#### count()

ActionGroup.php : 79

Returns the number of registered Actions for this group.

`public count() : int`

##### Return values

int —

#### getActions()

ActionGroup.php : 134

Returns the ordered array of actions.

`public getActions() : array<string|int, Action>`

##### Return values

array<string|int, Action> —

#### getId()

ActionGroup.php : 88

Returns the unique identifier for this group, in the vendor/module/group format.

`public getId() : string`

##### Return values

string —

#### getRenderedTitle()

ActionGroup.php : 107

Returns the rendered title for this group.

`public getRenderedTitle() : string`

##### Tags

throws
  InsecureTwigTemplateError

##### Return values

string —

#### getSortKey()

ActionGroup.php : 125

Returns the sort key for this group. The ordering of the groups in the final menu displayed to users will be sorted by this key. The default menu's sort key is '0'.

`public getSortKey() : int`

##### Return values

int —

#### getTitle()

ActionGroup.php : 97

Returns the title for this group.

`public getTitle() : string`

##### Return values

string —

#### getViewpoint()

ActionGroup.php : 70
`public getViewpoint() : Viewpoint|null`

##### Return values

Viewpoint|null —

#### serialize()

ActionGroup.php : 36
`public serialize() : mixed`

##### Return values

mixed —

#### setActions()

ActionGroup.php : 143

Sets the ordered array of actions.

`public setActions(array<string|int, Action> $actions) : mixed`

##### Parameters

$actions : array<string|int, Action>

##### Return values

mixed —

#### setViewpoint()

ActionGroup.php : 58
`public setViewpoint(Viewpoint|null $viewpoint) : mixed`

##### Parameters

$viewpoint : Viewpoint|null

##### Return values

mixed —

#### unserialize()

ActionGroup.php : 46
`public unserialize(mixed $serialized) : mixed`

##### Parameters

$serialized : mixed

##### Return values

mixed —

## Search results